The notification settings for the current user
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
NotificationSettingsResponse
| Property | Description | Type | |||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| allowUsersToEmailNotifications | Are user’s allowed to get email notifications | boolean | |||||||||||||||||||||||||||||||||||||||||||||
| notificationSettings | The list of notification settings available and their configured value | NotificationSettingResponse[] | |||||||||||||||||||||||||||||||||||||||||||||
|
NotificationSettingResponse properties
|
|||||||||||||||||||||||||||||||||||||||||||||||
Example Response
{ "allowUsersToEmailNotifications": false, "notificationSettings": [
{ "availableNotificationOptions": [
"string"
], "configuredNotificationOption": "string", "notificationType": { "notificationCategory": {}, "notificationTypeDescription": "string", "notificationTypeId": 1, "notificationTypeInfo": "string"
}
}
]
}